| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::PendingString Class Reference
Utililty classes

The PendingString class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string. More...

`#include <TelepathyQt/PendingString>`

Inherits Tp::PendingOperation.

## Public Member Functions

| PendingString (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
| ~PendingString ()
QString | result () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Protected Member Functions

void | setResult (const QString &result)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)

## Detailed Description

The PendingString class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingString::PendingString | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingString::~PendingString | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::PendingString::result | ( |  | ) | const

void Tp::PendingString::setResult | ( | const QString & | result | ) |

protected